--- old/usr/src/lib/libmvec/Makefile.com	2014-10-29 13:16:08.275668680 -0400
+++ new/usr/src/lib/libmvec/Makefile.com	2014-10-29 13:16:08.296221500 -0400
@@ -177,8 +177,6 @@
 CLAGS		+= $(LINTERROFF)
 CFLAGS64	+= $(LINTERROFF)
 
-ASDEF		+= -DLIBMVEC_SO_BUILD
-
 FLTRPATH_sparc		= $$ORIGIN/cpu/$$ISALIST/libmvec_isa.so.1
 FLTRPATH_sparcv9	= $$ORIGIN/../cpu/$$ISALIST/sparcv9/libmvec_isa.so.1
 FLTRPATH_i386		= $$ORIGIN/libmvec/$$HWCAP
@@ -188,8 +186,6 @@
 sparcv9_CFLAGS += -_cc=-W0,-xintrinsic
 CPPFLAGS_i386	+= -Dfabs=__fabs
 
-CPPFLAGS	+= -DLIBMVEC_SO_BUILD
-
 SRCS_mvec_i386 = \
 	../common/__vsqrtf.c \
 	#end
--- old/usr/src/lib/libmvec/common/vcos_.c	2014-10-29 13:16:09.109319374 -0400
+++ new/usr/src/lib/libmvec/common/vcos_.c	2014-10-29 13:16:09.120810987 -0400
@@ -29,46 +29,11 @@
 
 extern void __vcos(int, double *, int, double *, int);
 
-#if !defined(LIBMVEC_SO_BUILD)
-#if defined(ARCH_v8plusa) || defined(ARCH_v8plusb) || defined(ARCH_v9a) || defined(ARCH_v9b)
-#define CHECK_ULTRA3
-#endif
-#endif	/* !defined(LIBMVEC_SO_BUILD) */
-
-#ifdef CHECK_ULTRA3
-#include <strings.h>
-#define sysinfo _sysinfo
-#include <sys/systeminfo.h>
-
-#define BUFLEN	257
-
-static int use_ultra3 = 0;
-
-extern void __vcos_ultra3(int, double *, int, double *, int);
-#endif
-
 #pragma weak vcos_ = __vcos_
 
 /* just invoke the serial function */
 void
 __vcos_(int *n, double *x, int *stridex, double *y, int *stridey)
 {
-#ifdef CHECK_ULTRA3
-	int		u;
-	char	buf[BUFLEN];
-
-	u = use_ultra3;
-	if (!u) {
-		/* use __vcos_ultra3 on Cheetah (and ???) */
-		if (sysinfo(SI_ISALIST, buf, BUFLEN) > 0 && !strncmp(buf, "sparcv9+vis2", 12))
-			u = 3;
-		else
-			u = 1;
-		use_ultra3 = u;
-	}
-	if (u & 2)
-		__vcos_ultra3(*n, x, *stridex, y, *stridey);
-	else
-#endif
 	__vcos(*n, x, *stridex, y, *stridey);
 }
--- old/usr/src/lib/libmvec/common/vis/__vcos_ultra3.S	2014-10-29 13:16:09.516391572 -0400
+++ new/usr/src/lib/libmvec/common/vis/__vcos_ultra3.S	2014-10-29 13:16:09.528266108 -0400
@@ -29,11 +29,9 @@
 	.file	"__vcos_ultra3.S"
 
 #include "libm.h"
-#if defined(LIBMVEC_SO_BUILD)
 	.weak	__vcos
 	.type	__vcos,#function
 	__vcos = __vcos_ultra3
-#endif
 
 	RO_DATA
 	.align	64
--- old/usr/src/lib/libmvec/common/vis/__vlog_ultra3.S	2014-10-29 13:16:10.116905548 -0400
+++ new/usr/src/lib/libmvec/common/vis/__vlog_ultra3.S	2014-10-29 13:16:10.128840393 -0400
@@ -29,11 +29,9 @@
 	.file	"__vlog_ultra3.S"
 
 #include "libm.h"
-#if defined(LIBMVEC_SO_BUILD)
 	.weak	__vlog
 	.type	__vlog,#function
 	__vlog = __vlog_ultra3
-#endif
 
 /*
  * ELEVENBIT table and order 5 POLYNOMIAL no explicit correction t
--- old/usr/src/lib/libmvec/common/vis/__vsin_ultra3.S	2014-10-29 13:16:10.741598437 -0400
+++ new/usr/src/lib/libmvec/common/vis/__vsin_ultra3.S	2014-10-29 13:16:10.753448362 -0400
@@ -29,11 +29,9 @@
 	.file	"__vsin_ultra3.S"
 
 #include "libm.h"
-#if defined(LIBMVEC_SO_BUILD)
 	.weak	__vsin
 	.type	__vsin,#function
 	__vsin = __vsin_ultra3
-#endif
 
 	RO_DATA
 	.align	64
--- old/usr/src/lib/libmvec/common/vis/__vsqrtf_ultra3.S	2014-10-29 13:16:11.334347837 -0400
+++ new/usr/src/lib/libmvec/common/vis/__vsqrtf_ultra3.S	2014-10-29 13:16:11.345908841 -0400
@@ -29,11 +29,9 @@
 	.file	"__vsqrtf_ultra3.S"
 
 #include "libm.h"
-#if defined(LIBMVEC_SO_BUILD)
 	.weak	__vsqrtf
 	.type	__vsqrtf,#function
 	__vsqrtf = __vsqrtf_ultra3
-#endif
 
 	RO_DATA
 	.align	64
--- old/usr/src/lib/libmvec/common/vlog_.c	2014-10-29 13:16:11.792036313 -0400
+++ new/usr/src/lib/libmvec/common/vlog_.c	2014-10-29 13:16:11.803532962 -0400
@@ -29,46 +29,11 @@
 
 extern void __vlog(int, double *, int, double *, int);
 
-#if !defined(LIBMVEC_SO_BUILD)
-#if defined(ARCH_v8plusa) || defined(ARCH_v8plusb) || defined(ARCH_v9a) || defined(ARCH_v9b)
-#define CHECK_ULTRA3
-#endif
-#endif	/* !defined(LIBMVEC_SO_BUILD) */
-
-#ifdef CHECK_ULTRA3
-#include <strings.h>
-#define sysinfo _sysinfo
-#include <sys/systeminfo.h>
-
-#define BUFLEN	257
-
-static int use_ultra3 = 0;
-
-extern void __vlog_ultra3(int, double *, int, double *, int);
-#endif
-
 #pragma weak vlog_ = __vlog_
 
 /* just invoke the serial function */
 void
 __vlog_(int *n, double *x, int *stridex, double *y, int *stridey)
 {
-#ifdef CHECK_ULTRA3
-	int		u;
-	char	buf[BUFLEN];
-
-	u = use_ultra3;
-	if (!u) {
-		/* use __vlog_ultra3 on Cheetah (and ???) */
-		if (sysinfo(SI_ISALIST, buf, BUFLEN) > 0 && !strncmp(buf, "sparcv9+vis2", 12))
-			u = 3;
-		else
-			u = 1;
-		use_ultra3 = u;
-	}
-	if (u & 2)
-		__vlog_ultra3(*n, x, *stridex, y, *stridey);
-	else
-#endif
 	__vlog(*n, x, *stridex, y, *stridey);
 }
--- old/usr/src/lib/libmvec/common/vsin_.c	2014-10-29 13:16:12.195846092 -0400
+++ new/usr/src/lib/libmvec/common/vsin_.c	2014-10-29 13:16:12.207110175 -0400
@@ -29,46 +29,11 @@
 
 extern void __vsin(int, double *, int, double *, int);
 
-#if !defined(LIBMVEC_SO_BUILD)
-#if defined(ARCH_v8plusa) || defined(ARCH_v8plusb) || defined(ARCH_v9a) || defined(ARCH_v9b)
-#define CHECK_ULTRA3
-#endif
-#endif	/* !defined(LIBMVEC_SO_BUILD) */
-
-#ifdef CHECK_ULTRA3
-#include <strings.h>
-#define sysinfo _sysinfo
-#include <sys/systeminfo.h>
-
-#define BUFLEN	257
-
-static int use_ultra3 = 0;
-
-extern void __vsin_ultra3(int, double *, int, double *, int);
-#endif
-
 #pragma weak vsin_ = __vsin_
 
 /* just invoke the serial function */
 void
 __vsin_(int *n, double *x, int *stridex, double *y, int *stridey)
 {
-#ifdef CHECK_ULTRA3
-	int		u;
-	char	buf[BUFLEN];
-
-	u = use_ultra3;
-	if (!u) {
-		/* use __vsin_ultra3 on Cheetah (and ???) */
-		if (sysinfo(SI_ISALIST, buf, BUFLEN) > 0 && !strncmp(buf, "sparcv9+vis2", 12))
-			u = 3;
-		else
-			u = 1;
-		use_ultra3 = u;
-	}
-	if (u & 2)
-		__vsin_ultra3(*n, x, *stridex, y, *stridey);
-	else
-#endif
 	__vsin(*n, x, *stridex, y, *stridey);
 }
--- old/usr/src/lib/libmvec/common/vsqrtf_.c	2014-10-29 13:16:12.595615245 -0400
+++ new/usr/src/lib/libmvec/common/vsqrtf_.c	2014-10-29 13:16:12.607388387 -0400
@@ -29,46 +29,11 @@
 
 extern void __vsqrtf(int, float *, int, float *, int);
 
-#if !defined(LIBMVEC_SO_BUILD)
-#if defined(ARCH_v8plusa) || defined(ARCH_v8plusb) || defined(ARCH_v9a) || defined(ARCH_v9b)
-#define CHECK_ULTRA3
-#endif
-#endif	/* !defined(LIBMVEC_SO_BUILD) */
-
-#ifdef CHECK_ULTRA3
-#include <strings.h>
-#define sysinfo _sysinfo
-#include <sys/systeminfo.h>
-
-#define BUFLEN	257
-
-static int use_ultra3 = 0;
-
-extern void __vsqrtf_ultra3(int, float *, int, float *, int);
-#endif
-
 #pragma weak vsqrtf_ = __vsqrtf_
 
 /* just invoke the serial function */
 void
 __vsqrtf_(int *n, float *x, int *stridex, float *y, int *stridey)
 {
-#ifdef CHECK_ULTRA3
-	int		u;
-	char	buf[BUFLEN];
-
-	u = use_ultra3;
-	if (!u) {
-		/* use __vsqrtf_ultra3 on Cheetah (and ???) */
-		if (sysinfo(SI_ISALIST, buf, BUFLEN) > 0 && !strncmp(buf, "sparcv9+vis2", 12))
-			u = 3;
-		else
-			u = 1;
-		use_ultra3 = u;
-	}
-	if (u & 2)
-		__vsqrtf_ultra3(*n, x, *stridex, y, *stridey);
-	else
-#endif
 	__vsqrtf(*n, x, *stridex, y, *stridey);
 }
